(function(namespace) {
	var guid;

	namespace.init = function() {
		guid = 1;
	};

	namespace.increaseCounter = function() {
		guid++;
	};

	namespace.getNext = function() {
		var nextGuid = guid;
		this.increaseCounter();
		return nextGuid;
	};

	namespace.init();
})(window.simpleguid = window.simpleguid || {});
